/**
 *
 */
package de.intevation.gnv.transition;

import java.util.Collection;

import de.intevation.gnv.transition.exception.TransitionException;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public interface OutputTransition extends Transition {

    /**
     * Returns the Rendered Result of an Transition.
     * @param outputMode The Mode that should be produces (Chart, Map, ...)
     * @return The Bytecode of the Result
     * @throws TransitionException
     */
    public byte[] out( String outputMode) throws TransitionException;
    
    /**
     * Delivers the provided OutputModes of an Transition
     * @return the provided OutputModes of an Transition
     */
    public Collection<OutputMode> getOutputModes();
}
